Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123720 - Exclude from commit is not remembered.
Exclude from commit is not remembered.
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 07:31 UTC by Peter Pis
Modified: 2008-01-18 09:00 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (1.75 KB, text/plain)
2007-12-10 15:23 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2007-12-10 07:31:59 UTC
Product Version: NetBeans IDE 6.0 (Build 200711261600)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\60daily\user3

Steps:
1. Open project under Hg control. 
2. Modify and save some file of it.
3. Create new GUI form e.g. JFrame in the project.
4. Select project root and invoke "Mercurial | Commit" action.
5. For both JFrame files (java and form) set the "Commit Action" to "Exclude from Commit" and push "Commit" button.

Only modified file is committed. Ok. Invoke "Mercurial | Commit" action again. The upcoming dialog should show both gui
form files as "Exclude from Commit". Also they should be strike-through in "Versioning" window. More over this state
should be remember unless the files are included in commit.
Comment 1 John Rice 2007-12-10 11:43:57 UTC
Mercurial has no concept of Exclude from Commit status. 
Is this a Status that is supported by SVN and CVS? 

We might be able to store this additional state in the local cache, but it would not be backed by the Hg repo, so for
instance if you cloned the repo this exclude information would be lost.
Comment 2 Peter Pis 2007-12-10 12:01:13 UTC
Neither CVS nor Subversion has a status support for this. IMHO, It's implemented lby ocal cache as a additional state.
Comment 3 John Rice 2007-12-10 12:10:15 UTC
Need to release note the issue as others will be trying out the TortoiseHg release on Windows
Comment 4 Peter Pis 2007-12-10 12:14:57 UTC
John, shouldn't it be the issue 123718 that calls for relnote?
Comment 5 John Rice 2007-12-10 12:27:22 UTC
Ooppps - hate the way you get poped onto the next bug after adding a comment, caught me before :)

Will add comment to issue 123718
Comment 6 John Rice 2007-12-10 15:23:48 UTC
Created attachment 54095 [details]
Proposed patch
Comment 7 John Rice 2007-12-11 22:14:56 UTC
IDE:-------------------------------------------------
IDE: [11/12/07 22:13] Committing started
Checking in CommitAction.java;
/cvs/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/commit/CommitAction.java,v  <--  CommitAction.java
new revision: 1.11; previous revision: 1.10
done
IDE: [11/12/07 22:14] Committing finished
Comment 8 Peter Pis 2008-01-18 09:00:09 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo